ISLSCAN(1)

NAME
islscan - generate pretty-printed form of ISL file

SYNOPSIS
islscan ISLFILE [ ...ISLFILES ]

DESCRIPTION
islscan outputs a report on the interface described in ISLFILE to standard output. Since it uses the same parser used by all of the stubbers, it is useful for checking interface files after they have been written.

EXAMPLES

    57 % islscan foo.isl
    Interface "foo" (v1), imports "ilu" {defined on line 1}

    Types:
      cardinal {<built-in>, referenced on 3 5}
      real {<built-in>, referenced on 5}
      bletch {defined on line 3, referenced on 5}

    Classes:
      bar {defined on line 5}
        methods:
          Method1 (arg1 : cardinal, arg2 : real) : bletch; {defined 5, id 1}
    58 %

ENVIRONMENT VARIABLES
The environment variable "ILUPATH" is consulted to find referenced interfaces. It should consist of a sequence of colon-separated directories, which contain interface specifications in the form of files with names like <interface-name>.isl.

SEE ALSO
lisp-stubber(1), class-stubber(1), class-stubber(1), ISL(5), ILU(1)

``Using ILU''

AUTHOR
Bill Janssen